---
title: '<td>: The Table Data Cell element'
slug: Web/HTML/Element/td
tags:
  - Cells
  - Data Cell
  - Element
  - HTML
  - HTML tabular data
  - Reference
  - Table Cell
  - Table Data
  - Tables
  - Web
  - cell
  - data
  - td
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML <code>&lt;td&gt;</code> element</strong> defines a cell of a table that contains data. It participates in the <em>table model</em>.</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/td.html","tabbed-taller")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>Sectioning root.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>The start tag is mandatory.<br>
    The end tag may be omitted, if it is immediately followed by a {{HTMLElement("th")}} or {{HTMLElement("td")}} element or if there are no more data in its parent element.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>A {{HTMLElement("tr")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td><code><a href="/en-US/docs/Web/Accessibility/ARIA/Roles/Cell_Role">cell</a></code> if a descendant of a {{HTMLElement("table")}} element</td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>Any</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLTableCellElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element includes the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("colspan")}}</dt>
 <dd>This attribute contains a non-negative integer value that indicates for how many columns the cell extends. Its default value is <code>1</code>. Values higher than 1000 will be considered as incorrect and will be set to the default value (1).</dd>
 <dt>{{htmlattrdef("headers")}}</dt>
 <dd>This attribute contains a list of space-separated strings, each corresponding to the <strong>id</strong> attribute of the {{HTMLElement("th")}} elements that apply to this element.</dd>
 <dt>{{htmlattrdef("rowspan")}}</dt>
 <dd>This attribute contains a non-negative integer value that indicates for how many rows the cell extends. Its default value is <code>1</code>; if its value is set to <code>0</code>, it extends until the end of the table section ({{HTMLElement("thead")}}, {{HTMLElement("tbody")}}, {{HTMLElement("tfoot")}}, even if implicitly defined), that the cell belongs to. Values higher than 65534 are clipped down to 65534.</dd>
</dl>

<h3 id="Deprecated_attributes">Deprecated attributes</h3>

<dl>
 <dt>{{htmlattrdef("abbr")}} {{deprecated_inline}}</dt>
 <dd>
 <p>This attribute contains a short abbreviated description of the cell's content. Some user-agents, such as speech readers, may present this description before the content itself.</p>
 <div class="note"><strong>Note:</strong> Do not use this attribute as it is obsolete in the latest standard. Alternatively, you can put the abbreviated description inside the cell and place the long content in the <strong>title</strong> attribute.</div>
 </dd>
 <dt>{{htmlattrdef("align")}} {{deprecated_inline}}</dt>
 <dd>
 <p>This enumerated attribute specifies how the cell content's horizontal alignment will be handled. Possible values are:</p>
 <ul>
  <li><code>left</code>: The content is aligned to the left of the cell.</li>
  <li><code>center</code>: The content is centered in the cell.</li>
  <li><code>right</code>: The content is aligned to the right of the cell.</li>
  <li><code>justify</code> (with text only): The content is stretched out inside the cell so that it covers its entire width.</li>
  <li><code>char</code> (with text only): The content is aligned to a character inside the <code>&lt;th&gt;</code> element with minimal offset. This character is defined by the {{htmlattrxref("char", "td")}} and {{htmlattrxref("charoff", "td")}} attributes {{unimplemented_inline(2212)}}.</li>
 </ul>

 <p>The default value when this attribute is not specified is <code>left</code>.</p>

 <div class="note"><strong>Note:</strong>

 <ul>
  <li>To achieve the same effect as the <code>left</code>, <code>center</code>, <code>right</code> or <code>justify</code> values, apply the CSS {{cssxref("text-align")}} property to the element.</li>
  <li>To achieve the same effect as the <code>char</code> value, give the {{cssxref("text-align")}} property the same value you would use for the {{htmlattrxref("char", "td")}}. {{unimplemented_inline}} in CSS3.</li>
 </ul>
 </div>
 </dd>
 <dt>{{htmlattrdef("axis")}} {{deprecated_inline}}</dt>
 <dd>This attribute contains a list of space-separated strings. Each string is the <code>id</code> of a group of cells that this header applies to.</dd>
 <dt>{{htmlattrdef("bgcolor")}} {{deprecated_inline}}</dt>
 <dd>
 <p>This attribute defines the background color of each cell in a column. It is a <a href="/en-US/docs/Web/CSS/color_value#RGB_colors">6-digit hexadecimal RGB code</a>, prefixed by a '<code>#</code>'. One of the predefined <a href="/en-US/docs/Web/CSS/color_value#Color_keywords">color kewords</a> can also be used.</p>

 <p>To achieve a similar effect, use the CSS {{cssxref("background-color")}} property.</p>
 </dd>
 <dt>{{htmlattrdef("char")}} {{deprecated_inline}}</dt>
 <dd>The content in the cell element is aligned to a character. Typical values include a period (.) to align numbers or monetary values. If {{htmlattrxref("align", "td")}} is not set to <code>char</code>, this attribute is ignored.</dd>
 <dt>{{htmlattrdef("charoff")}} {{deprecated_inline}}</dt>
 <dd>This attribute is used to shift column data to the right of the character specified by the <strong>char</strong> attribute. Its value specifies the length of this shift.</dd>
 <dt>{{htmlattrdef("height")}} {{deprecated_inline}}</dt>
 <dd>This attribute is used to define a recommended cell height. Use the CSS {{cssxref("height")}} property instead.</dd>
 <dt>{{htmlattrdef("scope")}} {{deprecated_inline}}</dt>
 <dd>This enumerated attribute defines the cells that the header (defined in the {{HTMLElement("th")}}) element relates to. Only use this attribute with the <code>&lt;th&gt;</code> element to define the row or column for which it is a header.</dd>
 <dt>{{htmlattrdef("valign")}} {{deprecated_inline}}</dt>
 <dd>This attribute specifies how a text is vertically aligned inside a cell. Possible values for this attribute are:
 <ul>
  <li><code>baseline</code>: Positions the text near the bottom of the cell and aligns it with the <a href="https://en.wikipedia.org/wiki/Baseline_%28typography%29">baseline</a> of the characters instead of the bottom. If characters don't descend below the baseline, the baseline value achieves the same effect as <code>bottom</code>.</li>
  <li><code>bottom</code>: Positions the text near the bottom of the cell.</li>
  <li><code>middle</code>: Centers the text in the cell.</li>
  <li>and <code>top</code>: Positions the text near the top of the cell.</li>
 </ul>

 <p>To achieve a similar effect, use the CSS {{cssxref("vertical-align")}} property.</p>
 </dd>
 <dt>{{htmlattrdef("width")}} {{deprecated_inline}}</dt>
 <dd>This attribute is used to define a recommended cell width. Use the CSS {{cssxref("width")}} property instead.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>See {{HTMLElement("table")}} for examples on <code>&lt;td&gt;</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG','tables.html#the-td-element','td element')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C','tabular-data.html#the-td-element','td element')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.td")}}</p>
